namespace TLS.Net.NativeAPI.SSL
{
    public enum SslSessionCacheMode
    {
        SSL_SESS_CACHE_OFF = 0x0000,
        SSL_SESS_CACHE_CLIENT = 0x0001,
        SSL_SESS_CACHE_SERVER = 0x0002,
        SSL_SESS_CACHE_BOTH = SSL_SESS_CACHE_CLIENT | SSL_SESS_CACHE_SERVER,
        SSL_SESS_CACHE_NO_AUTO_CLEAR = 0x0080,
        SSL_SESS_CACHE_NO_INTERNAL_LOOKUP = 0x0100,
        SSL_SESS_CACHE_NO_INTERNAL_STORE = 0x0200,
        SSL_SESS_CACHE_NO_INTERNAL = SSL_SESS_CACHE_NO_INTERNAL_LOOKUP | SSL_SESS_CACHE_NO_INTERNAL_STORE
    }
}